Loading...
Searching...
No Matches
juce::universal_midi_packets::EndpointId Class Reference

## Detailed Description

Identifies a MIDI endpoint.

This is intended to be an opaque type that can only be compared with other instances.

For backwards compatibility, we need to ensure that port identifier strings that used to work with MidiInput and MidiOutput continue to function in the same way. However, the old identifiers weren't necessarily unique between inputs and outputs (a MIDI 1.0 input and output could have the same ID), which means that a single id string isn't enough to uniquely identify an input or output port.

The documentation for this class was generated from the following file:

- juce_audio_devices/midi_io/ump/juce_UMPEndpointId.h

## Public Member Functions

| EndpointId ()=default
bool | operator== (const EndpointId &x) const
bool | operator!= (const EndpointId &x) const
bool | operator< (const EndpointId &x) const
bool | operator<= (const EndpointId &x) const
bool | operator> (const EndpointId &x) const
bool | operator>= (const EndpointId &x) const
String | get (IOKind k) const

## Static Public Member Functions

static EndpointId | make (IOKind dir, const String &id)
static EndpointId | makeSrcDst (const String &s, const String &d)

## Public Attributes

String | src
String | dst

## Constructors and Destructors

## EndpointId()

juce::universal_midi_packets::EndpointId::EndpointId | ( |  | ) |

default

Referenced by make(), makeSrcDst(), operator!=(), operator<(), operator<=(), operator==(), operator>(), and operator>=().

## Member Functions

## operator==()

bool juce::universal_midi_packets::EndpointId::operator== | ( | const EndpointId & | x | ) | const

References EndpointId(), and x.

## operator!=()

bool juce::universal_midi_packets::EndpointId::operator!= | ( | const EndpointId & | x | ) | const

References EndpointId(), and x.

## operator<()

bool juce::universal_midi_packets::EndpointId::operator< | ( | const EndpointId & | x | ) | const

References EndpointId(), and x.

## operator<=()

bool juce::universal_midi_packets::EndpointId::operator<= | ( | const EndpointId & | x | ) | const

References EndpointId(), and x.

## operator>()

bool juce::universal_midi_packets::EndpointId::operator> | ( | const EndpointId & | x | ) | const

References EndpointId(), and x.

## operator>=()

bool juce::universal_midi_packets::EndpointId::operator>= | ( | const EndpointId & | x | ) | const

References EndpointId(), and x.

## get()

String juce::universal_midi_packets::EndpointId::get | ( | IOKind | k | ) | const

inline

References dst, src, and juce::universal_midi_packets::src.

## make()

EndpointId juce::universal_midi_packets::EndpointId::make | ( | IOKind | dir,
|  | const String & | id )

inline static

References EndpointId(), makeSrcDst(), and juce::universal_midi_packets::src.

## makeSrcDst()

EndpointId juce::universal_midi_packets::EndpointId::makeSrcDst | ( | const String & | s,
|  | const String & | d )

inline static

References EndpointId().

Referenced by make().

## Member Data Documentation

## src

String juce::universal_midi_packets::EndpointId::src

Referenced by get().

## dst

String juce::universal_midi_packets::EndpointId::dst

Referenced by get().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited